*-- Before you integrate FRX2Any into your VFP application you should realize that FRX2Any
*-- requires GDIPlus.DLL which is freely available and can be installed on Win98 and higher.
*-- If you have not installed WinXP or .NET framework then you can download this DLL from
*-- http://www.microsoft.com/downloads/release.asp?releaseid=32738
*-- or
*-- http://www.dll-files.com/dllindex/dll-files.shtml?gdiplus


*-- DRILLDOWN is controlled via <Comment> field of report's Fields.
*-- To create a DRILLDOWN, you need to enter the following text into the <Comment> field of the corresponding Fields:

*-- ReportLink='DrillDownChild.FRX' 

*-- in this case DrillDownChild.FRX must be in the same folder where Parent Report is. 
*-- or
*-- ReportLink='C:\MyChildReports\DrillDownChild.FRX' 

*-- You might also send parameters to the Child Report. To accomplish this, place into the <Comment> field
*-- following text:

*-- ReportLinkParameter= lcCharParameter  'Character Parameter' 
*-- or
*-- ReportLinkParameter= lnNumricParameter  7687.0512 
*-- or
*-- ReportLinkParameter= luFieldNameParameter  nItemID
*-- or
*-- ReportLinkParameter= luVariableNameParameter  lnQuantity

*-- where lcCharParameter/lnNumricParameter/luFieldNameParameter/luVariableNameParameter are names of variables you 
*-- might use in Child Report (for example in any methods of Report Data Environment)
*-- You can create as many Parameters as you want
 
*-- For the sample see DrillDownParent.FRX and DrillDownChild.FRX 

*-- NOTE: This feature is not available in VFP 6


LOCAL loFile
LOCAL lcReportFullName

CD LEFT(SYS(16,0), RAT('\', SYS(16,0)))

lcReportFullName = FULLPATH('..\Reports\DrillDownParent.FRX')

IF !FILE(lcReportFullName)
	=MESSAGEBOX('File ' + lcReportFullName + ' does not exist.', 16, 'Error')

ELSE

	SET PATH TO  ..\..\
	SET CLASSLIB TO FRX2Any IN FRX2Any.APP ALIAS FRX2Any	

	loFile = CREATEOBJ('FRX2Any.PreviewFile')

	IF TYPE('loFile') = 'O'
*-- Unlock FRX2Any
		loFile.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')

*-- Force FRX2Any to display conversion process status
		loFile.lDisplayStatus  = .T.

		loFile.SAVE(lcReportFullName)

		loFile.RELEASE()
	ENDIF

ENDIF
